Bug 893789 - vlgothic-fonts own a directory from vlgothic-fonts-common
Summary: vlgothic-fonts own a directory from vlgothic-fonts-common
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vlgothic-fonts
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-09 22:53 UTC by Michael S.
Modified: 2013-02-02 04:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-02 04:17:28 UTC


Attachments (Terms of Use)

Description Michael S. 2013-01-09 22:53:32 UTC
$ rpm -qf /usr/share/fonts/vlgothic
vlgothic-fonts-common-20121109-1.fc18.noarch
vlgothic-fonts-20121109-1.fc18.noarch

Since vlgothic-fonts requires vlgothic-fonts-common, the directory is already owned by it.

Comment 1 Akira TAGOH 2013-01-11 09:50:16 UTC
Having said that it was done by the _font_pkg macro in fontpackages package; I added it into -common because I meant to avoid similar issue between vlgothic-fonts and vlgothic-p-fonts.

I suppose the workaround so far is maybe just to stop using the macro.
assuming nim-nim is looking at this. any idea? :)

Comment 2 Nicolas Mailhot 2013-01-11 10:09:04 UTC
(In reply to comment #1)
> Having said that it was done by the _font_pkg macro in fontpackages package;
> I added it into -common because I meant to avoid similar issue between
> vlgothic-fonts and vlgothic-p-fonts.
> 
> I suppose the workaround so far is maybe just to stop using the macro.
> assuming nim-nim is looking at this. any idea? :)

The macro started owning directories IIRC because :
1. too many font packagers forgot to own them manually
2. FPC ruled that it was ok for several packages to own the same dir

I'd say you can remove the directory from common if all other subpackages own it, since it's macroified you don't have the usual risk of several packages owning the same dir with different permissions

Comment 3 Akira TAGOH 2013-01-11 10:29:55 UTC
I see. that makes sense. thanks for the comment.

Comment 4 Akira TAGOH 2013-01-11 10:50:12 UTC
Fixed in vlgothic-fonts-20121230-2.fc19

Comment 5 Fedora Update System 2013-01-24 04:32:33 UTC
vlgothic-fonts-20121230-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vlgothic-fonts-20121230-2.fc18

Comment 6 Fedora Update System 2013-01-24 04:33:37 UTC
vlgothic-fonts-20121230-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vlgothic-fonts-20121230-2.fc17

Comment 7 Fedora Update System 2013-01-24 04:34:35 UTC
vlgothic-fonts-20121230-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/vlgothic-fonts-20121230-2.fc16

Comment 8 Fedora Update System 2013-01-24 21:53:29 UTC
Package vlgothic-fonts-20121230-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vlgothic-fonts-20121230-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1388/vlgothic-fonts-20121230-2.fc17
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-02-02 04:17:30 UTC
vlgothic-fonts-20121230-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-02-02 04:20:04 UTC
vlgothic-fonts-20121230-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-02-02 04:20:15 UTC
vlgothic-fonts-20121230-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.